<?xml version="1.0" encoding="UTF-8"?>
<form xmlns="http://www.intellij.com/uidesigner/form/" version="1" bind-to-class="TicketVendingMachine">
  <grid id="27dc6" binding="root" layout-manager="GridLayoutManager" row-count="7" column-count="4" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
    <margin top="0" left="0" bottom="0" right="0"/>
    <constraints>
      <xy x="20" y="20" width="1202" height="868"/>
    </constraints>
    <properties/>
    <border type="none" title-justification="2" title-position="4"/>
    <children>
      <component id="4bc80" class="javax.swing.JButton" binding="btnCheckOut">
        <constraints>
          <grid row="4" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
            <minimum-size width="250" height="30"/>
            <preferred-size width="250" height="30"/>
            <maximum-size width="10000" height="30"/>
          </grid>
        </constraints>
        <properties>
          <label value="Check Out"/>
          <text value="Check Out"/>
        </properties>
      </component>
      <tabbedpane id="502bc" binding="tbMenu">
        <constraints>
          <grid row="1" column="1" row-span="4" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
            <preferred-size width="200" height="200"/>
          </grid>
        </constraints>
        <properties/>
        <border type="none"/>
        <children>
          <grid id="aa8a8" binding="tbFood" layout-manager="GridLayoutManager" row-count="2" column-count="3" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <tabbedpane title="Food"/>
            </constraints>
            <properties/>
            <border type="none" title="Food"/>
            <children>
              <component id="9ae4" class="javax.swing.JButton" binding="btnKaraage">
                <constraints>
                  <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="karaage.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Karaage  350yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="2d59" class="javax.swing.JButton" binding="btnTempura">
                <constraints>
                  <grid row="1" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="tempura.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Tempura  500yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="691e" class="javax.swing.JButton" binding="btnSashimi">
                <constraints>
                  <grid row="1" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="sasimi.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Sashimi  800yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="4529f" class="javax.swing.JButton" binding="btnKinpiraburdock">
                <constraints>
                  <grid row="0" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="kinpira.jpg"/>
                  <iconTextGap value="10"/>
                  <inheritsPopupMenu value="true"/>
                  <text value="Kinpira burdock  180yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="35194" class="javax.swing.JButton" binding="btnMisosoup">
                <constraints>
                  <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <focusable value="false"/>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="misosoup.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Miso soup  200yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="9732c" class="javax.swing.JButton" binding="btnRice">
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="rice.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Rice  250yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
            </children>
          </grid>
          <grid id="bae05" binding="tbDrink" layout-manager="GridLayoutManager" row-count="2" column-count="3" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <tabbedpane title="Drink"/>
            </constraints>
            <properties/>
            <border type="none" title="Drink"/>
            <children>
              <component id="4f334" class="javax.swing.JButton" binding="btnChangingMenu1">
                <constraints>
                  <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <iconTextGap value="10"/>
                  <text value=""/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="f7bc3" class="javax.swing.JButton" binding="btnChangingMenu2">
                <constraints>
                  <grid row="1" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <iconTextGap value="10"/>
                  <text value=""/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="8c198" class="javax.swing.JButton" binding="btnChangingMenu3">
                <constraints>
                  <grid row="1" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <iconTextGap value="10"/>
                  <inheritsPopupMenu value="true"/>
                  <label value=""/>
                  <text value=""/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="8c967" class="javax.swing.JButton" binding="btnGreentea">
                <constraints>
                  <grid row="0" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="green_tea.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Green tea  100yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="dece2" class="javax.swing.JButton" binding="btnOrangejuice">
                <constraints>
                  <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <hideActionText value="true"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="orange.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Orange juice  110yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="aae24" class="javax.swing.JButton" binding="btnCoke">
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <enabled value="true"/>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <hideActionText value="false"/>
                  <horizontalAlignment value="0"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="coke.jpg"/>
                  <iconTextGap value="10"/>
                  <inheritsPopupMenu value="false"/>
                  <name value=""/>
                  <text value="Coke  120yen"/>
                  <verifyInputWhenFocusTarget value="true"/>
                  <verticalAlignment value="0"/>
                  <verticalTextPosition value="3"/>
                  <visible value="true"/>
                </properties>
              </component>
            </children>
          </grid>
          <grid id="97d82" binding="tbTimeMenu" layout-manager="GridLayoutManager" row-count="2" column-count="3" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <tabbedpane title="Time Menu"/>
            </constraints>
            <properties/>
            <border type="none" title="Time Menu"/>
            <children>
              <component id="524f8" class="javax.swing.JButton" binding="btnTeriyaki">
                <constraints>
                  <grid row="1" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="teriyaki.jpg"/>
                  <iconTextGap value="10"/>
                  <inheritsPopupMenu value="true"/>
                  <label value="Teriyaki  340yen"/>
                  <text value="Teriyaki  340yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="f3cae" class="javax.swing.JButton" binding="btnEdamame">
                <constraints>
                  <grid row="1" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="edamame.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Edamame  240yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="e5b0f" class="javax.swing.JButton" binding="btnFriedcartilage">
                <constraints>
                  <grid row="0" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="nankotu.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Fried cartilage  220yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="94d65" class="javax.swing.JButton" binding="btnGingerFriedPork">
                <constraints>
                  <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="shougayaki.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Ginger Fried Pork  280yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="ad818" class="javax.swing.JButton" binding="btnCoffee">
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="coffee.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Coffee  150yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
              <component id="e85b1" class="javax.swing.JButton" binding="btnMuffin">
                <constraints>
                  <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="250" height="250"/>
                    <preferred-size width="250" height="250"/>
                    <maximum-size width="250" height="250"/>
                  </grid>
                </constraints>
                <properties>
                  <font name="BIZ UDGothic" size="16" style="1"/>
                  <horizontalTextPosition value="0"/>
                  <icon value="muffin.jpg"/>
                  <iconTextGap value="10"/>
                  <text value="Muffin  90yen"/>
                  <verticalTextPosition value="3"/>
                </properties>
              </component>
            </children>
          </grid>
        </children>
      </tabbedpane>
      <grid id="5c893" binding="pnlTotal" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
        <margin top="0" left="0" bottom="0" right="0"/>
        <constraints>
          <grid row="2" column="2" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
        </constraints>
        <properties/>
        <border type="none"/>
        <children>
          <component id="46ecf" class="javax.swing.JTextPane" binding="textpaneOrderedItems">
            <constraints>
              <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="6" hsize-policy="6" anchor="0" fill="3" indent="0" use-parent-layout="false">
                <minimum-size width="200" height="500"/>
                <preferred-size width="200" height="500"/>
                <maximum-size width="10000" height="500"/>
              </grid>
            </constraints>
            <properties>
              <font name="BIZ UDGothic" size="14" style="0"/>
              <text value=""/>
            </properties>
          </component>
          <component id="a3b11" class="javax.swing.JTextPane" binding="textpanePrice">
            <constraints>
              <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="6" hsize-policy="6" anchor="0" fill="3" indent="0" use-parent-layout="false">
                <minimum-size width="50" height="500"/>
                <preferred-size width="50" height="500"/>
                <maximum-size width="500" height="500"/>
              </grid>
            </constraints>
            <properties>
              <font name="BIZ UDGothic" size="14" style="0"/>
            </properties>
          </component>
        </children>
      </grid>
      <vspacer id="70f9f">
        <constraints>
          <grid row="6" column="2" row-span="1" col-span="1" vsize-policy="6" hsize-policy="1" anchor="0" fill="2" indent="0" use-parent-layout="false">
            <minimum-size width="-1" height="3"/>
            <preferred-size width="-1" height="3"/>
            <maximum-size width="-1" height="3"/>
          </grid>
        </constraints>
      </vspacer>
      <hspacer id="3712b">
        <constraints>
          <grid row="1" column="3" row-span="1" col-span="1" vsize-policy="1" hsize-policy="6" anchor="0" fill="1" indent="0" use-parent-layout="false">
            <minimum-size width="3" height="-1"/>
            <preferred-size width="3" height="-1"/>
            <maximum-size width="3" height="-1"/>
          </grid>
        </constraints>
      </hspacer>
      <hspacer id="89e70">
        <constraints>
          <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="1" hsize-policy="6" anchor="0" fill="1" indent="0" use-parent-layout="false">
            <minimum-size width="3" height="-1"/>
            <preferred-size width="3" height="-1"/>
            <maximum-size width="3" height="-1"/>
          </grid>
        </constraints>
      </hspacer>
      <vspacer id="14bc9">
        <constraints>
          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="6" hsize-policy="1" anchor="0" fill="2" indent="0" use-parent-layout="false">
            <minimum-size width="-1" height="3"/>
            <preferred-size width="-1" height="3"/>
            <maximum-size width="-1" height="3"/>
          </grid>
        </constraints>
      </vspacer>
      <component id="71ab8" class="javax.swing.JTextPane" binding="footer">
        <constraints>
          <grid row="5" column="1" row-span="1" col-span="2" vsize-policy="0" hsize-policy="6" anchor="0" fill="3" indent="0" use-parent-layout="false">
            <minimum-size width="1000" height="200"/>
            <preferred-size width="1000" height="200"/>
            <maximum-size width="10000" height="200"/>
          </grid>
        </constraints>
        <properties>
          <font name="BIZ UDGothic" size="16" style="1"/>
        </properties>
      </component>
      <component id="ecf24" class="javax.swing.JLabel">
        <constraints>
          <grid row="1" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
        </constraints>
        <properties>
          <font name="BIZ UDGothic" size="16" style="1"/>
          <horizontalTextPosition value="0"/>
          <text value="Ordered Items"/>
        </properties>
      </component>
      <component id="ad32b" class="javax.swing.JTextField" binding="textfieldTotal">
        <constraints>
          <grid row="3" column="2" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
            <preferred-size width="150" height="-1"/>
          </grid>
        </constraints>
        <properties>
          <font name="BIZ UDGothic" size="16" style="1"/>
          <horizontalAlignment value="11"/>
        </properties>
      </component>
    </children>
  </grid>
</form>
